Name:           python-wsgilog
Version:        0.3
Release:        9%{?dist}
Summary:        WSGI logging and event reporting middleware

License:        BSD
URL:            https://bitbucket.org/lcrees/wsgilog/
Source0:        https://pypi.python.org/packages/source/w/wsgilog/wsgilog-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
Supports logging events in WSGI applications to STDOUT, time rotated log\
files, email, syslog, and web servers. Also supports catching and sending\
HTML-formatted exception tracebacks to a web browser for debugging.

%description %_description

%package -n python2-wsgilog
Summary: %summary
%{?python_provide:%python_provide python2-wsgilog}

%description -n python2-wsgilog %_description

%prep
%setup -qn wsgilog-%{version}


%build
%{__python2} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files -n python2-wsgilog
%doc
%{python2_sitelib}/*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 31 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.3-7
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.3-6
- Python 2 binary package renamed to python2-wsgilog
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Apr 17 2014 Bengt Giger <bengt.giger@id.ethz.ch> - 0.3-1
- Initial RPM release
